<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('JenisKegiatan', function (Blueprint $table) {
            $table->id('JenisKegiatanId');
            $table->string('NamaJenisKegiatan');
            $table->boolean('IsPublish')->default(1);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('JenisKegiatan');
    }
};
